<?php

require 'Classes/PHPExcel.php';
require 'cn2.php';

$sql= "SELECT * from mg_vendedores";

$resultado = $mysqli->query($sql);
if($resultado -> num_rows > 0){
    date_default_timezone_set('America/Mexico_City');


    require_once 'Classes/PHPExcel.php';
    $objPHPExcel= new PHPExcel();
    $objPHPExcel->getProperties()->setCreator("Sistemas MG")->
    setLastModifiedBy("MG")->
    setTitle("Vendedores")->
    setSubject("Reporte Vendedores")->
    setDescription("Reporte Vendedores MG")->
    setKeywords("Reporte de Vendedores MG ")->
    setCategory("Reporte");


  $tituloreporte = "Vendedores MG";
    $titulosColumnas = array('ID','SUCURSAL','NOMBRE','USUARIO',
    'PASSWORD','CORREO','CLAVE','CLAVEIMP','USERBP','CLAVEBP');

    $objPHPExcel->setActiveSheetIndex(0)
    ->mergeCells('A1:J1');
    
    $objPHPExcel->setActiveSheetIndex(0)
    ->setCellValue('A1',  $tituloreporte)
    ->setCellValue('A2',  $titulosColumnas[0])  
    ->setCellValue('B2',  $titulosColumnas[1])
    ->setCellValue('C2',  $titulosColumnas[2])
    ->setCellValue('D2',  $titulosColumnas[3])
    ->setCellValue('E2',  $titulosColumnas[4])  
    ->setCellValue('F2',  $titulosColumnas[5])
    ->setCellValue('G2',  $titulosColumnas[6])
    ->setCellValue('H2',  $titulosColumnas[7])
    ->setCellValue('I2',  $titulosColumnas[8]) 
    ->setCellValue('J2',  $titulosColumnas[9]);

    $i=3;
while($fila= $resultado->fetch_array())
{
	 $objPHPExcel->setActiveSheetIndex(0)
        ->setCellValue('A'.$i, $fila['id'])
        ->setCellValue('B'.$i, $fila['sucursal'])
        ->setCellValue('C'.$i, $fila['nombre'])
        ->setCellValue('D'.$i, $fila['usuario'])
        ->setCellValue('E'.$i, $fila['password'])
        ->setCellValue('F'.$i, $fila['correo'])
        ->setCellValue('G'.$i, $fila['clavec'])
        ->setCellValue('H'.$i, $fila['ucimp'])
        ->setCellValue('I'.$i, $fila['userbp'])
        ->setCellValue('J'.$i, $fila['clavebp']);

	$i++;
}

 for($i = 'A'; $i <= 'J'; $i++){
    $objPHPExcel->setActiveSheetIndex(0)->getColumnDimension($i)->setAutoSize(TRUE);
}
    $objPHPExcel->getActiveSheet()->setTitle('Equipos');
      
   
    $objPHPExcel->setActiveSheetIndex(0);
      
    // Inmovilizar paneles
    $objPHPExcel->getActiveSheet(0)->freezePaneByColumnAndRow(0,3);
    
       header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header('Content-Disposition: attachment;filename="ReporteVendedoresMG.xlsx"');
    header('Cache-Control: max-age=0');
      
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
    $objWriter->save('php://output');
    exit;
    }
    else{
        print_r('No hay resultados para mostrar');
    }
?>